Today, after 5 RC’s we have finally released 1.2.

It’s finally time to:
easy_install -U windmill

Overview

This release now uses a home brewed proxy server, instead of CherryPy allowing us to handle both SSL and binary data like Flash exponentially better.

Also included in 1.2 is a polish of the Windmill command line output, bug fixes for running tests with Nose and full backwards compatible support for Python 2.4. All told 31 logged bug fixes, and countless others coming together to bring what we feel is a pretty big milestone.

Details

To use the newly built in SSL support for testing your application you must first install the Windmill certificate, which we have documented for MacOSX and Windows on the wiki.

Next, simply run Windmill the way you are used to, except adding the ‘ssl’ switch. Everything else should be seemless. In order to make all this happen we had to add one dependency, pyOpenSSL. But if you aren’t using SSL, don’t worry about it. Otherwise, you can visit the launchpad pyOpenSSL page for more information on getting it setup.

Issues

When major changes happen in a project there are always issues. We have run all of our unit tests, and really appreciate all of the responses we have had informing us that you’re tests worked as expected with trunk/RC5. If you are seeing regressions, please come talk to us: Freenode on IRC, #windmill, mail the list, or log a bug in trac and we will be as responsive as we possibly can. This release was designed to add functionality, not change or break anything else.

What’s next

Next up we are planning some client side improvements slated for 1.3, as well as some new features for the JavaScript tests. Don’t worry — we plan to keep everything backwards compatible, stay tuned!

Tell the Web:
  • Digg
  • Reddit
  • Slashdot
  • Technorati
  • Facebook
  • LinkedIn
  • Twitter